Subject: Re: [PATCH 3/8] archive: add a failure test wrt .gitattributes misreading

From: René Scharfe <[email-masked]>
Date: Tue, 14 Apr 2009 22:12:57 +0200

Nguyen Thai Ngoc Duy schrieb:
> 2009/4/13 René Scharfe <[email-masked]>:
>> Also, the last sentence of the description may be taken to imply a
>> mixing of attributes from work tree and exported tree is done, which is
>> not the case with the patch from series 2 (and shouldn't be).  Perhaps:
>> "With this option, .gitattributes files are read from the work tree
>> instead of from the exported tree."
> 
> I'm at work and haven't had chance to read other mails carefully. Wrt
> to the description, it reads from index too if it fails to read from
> worktree. So perhaps "With this option, .gitattributes files are read
> from work tree (or from index if they are missing from work tree)
> instead of from exported tree.", unless you want to introduce another
> "attr direction" to read from work tree only.

Err, yes, that was nonsense, please disregard this part.  Sorry.  I
somehow mixed up falling back to the index and merging the contents of
attribute files from both sources, not sure why. :-/

René